Debian Bug report logs - #553252
python-twisted-runner: missing-dependency-on-libc needed by ./usr/lib/python2.4/site-packages/twisted/runner/portmap.so and 1 other but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.

version graph

Package: python-twisted-runner; Maintainer for python-twisted-runner is Matthias Klose <doko@debian.org>; Source for python-twisted-runner is src:twisted.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 19:51:06 UTC

Severity: serious

Found in version twisted-runner/8.2.0-1

Fixed in version twisted-runner/8.2.0-1.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#553252; Package python-twisted-runner. (Thu, 29 Oct 2009 19:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 29 Oct 2009 19:51:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-twisted-runner: missing-dependency-on-libc needed by ./usr/lib/python2.4/site-packages/twisted/runner/portmap.so and 1 other but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.
Date: Thu, 29 Oct 2009 13:55:39 -0500
Package: python-twisted-runner
Version: 8.2.0-1
Severity: serious
Justification: The listed file appears to be linked against the C library,
User: lintian-maint@debian.org
Usertags: missing-dependency-on-libc

All shared libraries and compiled binaries must be run through dpkg-shlibdeps to
find out any libraries they are linked against (often via the dh_shlibdeps
debhelper command). The package containing these files must then depend on
${shlibs:Depends} in debian/control to get the proper package dependencies for
those libraries.

Refer to Debian Policy Manual section 8.6 (Dependencies between the library and
other packages - the shlibs system) for details.

,----[ 8.6 Dependencies between the library and other packages - the shlibs system ]
| If a package contains a binary or library which links to a shared library, we
| must ensure that when the package is installed on the system, all of the
| libraries needed are also installed. This requirement led to the creation of the
| shlibs system, which is very simple in its design: any package which provides a
| shared library also provides information on the package dependencies required to
| ensure the presence of this library, and any package which uses a shared library
| uses this information to determine the dependencies it requires. The files which
| contain the mapping from shared libraries to the necessary dependency
| information are called shlibs files.
| 
| Thus, when a package is built which contains any shared libraries, it must
| provide a shlibs file for other packages to use, and when a package is built
| which contains any shared libraries or compiled binaries, it must run
| dpkg-shlibdeps on these to determine the libraries used and hence the
| dependencies needed by this package.
`----

,----[ 8.6.2 How to use dpkg-shlibdeps and the shlibs files ]
| Put a call to dpkg-shlibdeps into your debian/rules file. If your package
| contains only compiled binaries and libraries (but no scripts), you can use a
| command such as:
| 
|      dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/sbin/* \
|        debian/tmp/usr/lib/*
| 
| Otherwise, you will need to explicitly list the compiled binaries and
| libraries.[53]
| 
| This command puts the dependency information into the debian/substvars file,
| which is then used by dpkg-gencontrol. You will need to place a
| ${shlibs:Depends} variable in the Depends field in the control file for this to
| work.
`----

        manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-twisted-runner depends on:
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-central                0.6.11     register and build utility for Pyt
ii  python-twisted-core           8.2.0-3    Event-based framework for internet

python-twisted-runner recommends no packages.

Versions of packages python-twisted-runner suggests:
pn  python-twisted-runner-dbg     <none>     (no description available)




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#553252; Package python-twisted-runner. (Sat, 28 Nov 2009 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 28 Nov 2009 12:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 553252@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553252@bugs.debian.org
Subject: twisted-runner: diff for NMU version 8.2.0-1.1
Date: Sat, 28 Nov 2009 13:12:52 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for twisted-runner (versioned as 8.2.0-1.1). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #63:  not properly grounded, please bury computer 
[twisted-runner-8.2.0-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 12:21:09 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 12:21:09 GMT) Full text and rfc822 format available.

Message #15 received at 553252-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553252-close@bugs.debian.org
Subject: Bug#553252: fixed in twisted-runner 8.2.0-1.1
Date: Sat, 28 Nov 2009 12:17:50 +0000
Source: twisted-runner
Source-Version: 8.2.0-1.1

We believe that the bug you reported is fixed in the latest version of
twisted-runner, which is due to be installed in the Debian FTP archive:

python-twisted-runner-dbg_8.2.0-1.1_i386.deb
  to main/t/twisted-runner/python-twisted-runner-dbg_8.2.0-1.1_i386.deb
python-twisted-runner_8.2.0-1.1_i386.deb
  to main/t/twisted-runner/python-twisted-runner_8.2.0-1.1_i386.deb
twisted-runner_8.2.0-1.1.diff.gz
  to main/t/twisted-runner/twisted-runner_8.2.0-1.1.diff.gz
twisted-runner_8.2.0-1.1.dsc
  to main/t/twisted-runner/twisted-runner_8.2.0-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553252@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated twisted-runner package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 13:02:29 +0100
Source: twisted-runner
Binary: python-twisted-runner python-twisted-runner-dbg
Architecture: source i386
Version: 8.2.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 python-twisted-runner - Process management, including an inetd server
 python-twisted-runner-dbg - Process management, including an inetd server (debug extension)
Closes: 553252
Changes: 
 twisted-runner (8.2.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control:
     - add ${shlibs:Depends} to python-twisted-runner's Depends
       in order to get a dependency on libc (closes: #553252)
     - change XS-Python-Version from "all, >= 2.4" to ">= 2.4";
       thanks, lintian
     - replace ${Source-Version} with ${binary:Version} in
       python-twisted-runner-dbg's Depends; thanks, lintian
Checksums-Sha1: 
 2b1ac377c7ff63965c1aaa1f653f02fc3ffbc5a7 1800 twisted-runner_8.2.0-1.1.dsc
 79c6c0799c5f8279992909f81a978225decbe4db 7371 twisted-runner_8.2.0-1.1.diff.gz
 d10dc9e671704b00aeb2f28b815cf1bea1c2b40f 18982 python-twisted-runner_8.2.0-1.1_i386.deb
 25fa9e5ce90eb3e627f25e967586b5070a24066a 16320 python-twisted-runner-dbg_8.2.0-1.1_i386.deb
Checksums-Sha256: 
 813dfd581b56c98425973d205601b7d27631ffa742f91e077414f99193a9ef62 1800 twisted-runner_8.2.0-1.1.dsc
 f154424a8a159dc4aad9047743131f90bd2a93b77cf1161ec0ec3934dc0cc11b 7371 twisted-runner_8.2.0-1.1.diff.gz
 d845a855148ae70e58cd19e09c630623da5a840ba1a6764de24913c6d1cf0848 18982 python-twisted-runner_8.2.0-1.1_i386.deb
 a042a9c442fdfbc24ac78fcb13c5caedc451e7cc7fc87ddf0b92cf42b6995953 16320 python-twisted-runner-dbg_8.2.0-1.1_i386.deb
Files: 
 965a0c8faf9e1ca9dda9f486f00bc2f4 1800 python optional twisted-runner_8.2.0-1.1.dsc
 43e280fdfc5110eac4e57e6a7c5c61df 7371 python optional twisted-runner_8.2.0-1.1.diff.gz
 221644756983938c554fdbd5e4b7995b 18982 python optional python-twisted-runner_8.2.0-1.1_i386.deb
 67d254f444d1fddb96147dfd45408a08 16320 python extra python-twisted-runner-dbg_8.2.0-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLERMyAAoJELs6aAGGSaoGEJUQAKpMU1jqZBiJIhQRL8JGQlVz
F0Ys8xJ6fQzB+/wnzXQvqK7+OQA3qGFG92wQu2t0U08Pqza8FPk75/Q5RC/F8G+0
lYE97PEhqGPUK/zUEnIHAS/VbzeyLKWnllWScu2MkQXR10xOc0j1NrHXyEXEPqBI
3Or7pFRi5Z0SY+cSBiKISIiQyvkDoYNwmh2ptp8WRR9x0H9SJVk0uD4k1RnPvPmt
peX9kyy85R1FdpZQYsiFRZpcJXdtusHyFDpbHJaLDNYNOF2rSSSGv4pYQYAFmVur
gQ4zxNbINktz6SGEhm40VufTSejvmGoojJw77fEWFQQzWIrrJCCb5p37yU2gBKoj
o4VvMnWgKn7fTBreT+3AX95/qtxwDnEVXaAs3e8y7CohASo0Nj16jfzNvQfwYNiJ
mqH4Xrc3kg58HOFSCrnpb1DuNe/30Bguol0uJpDTN9iqKYLGMyZ2Q8ZNQsJ27L+y
cj4aLmIa6RfL4QgGBl//FfqczHE5ls7G94eFgUyZDKBL3WgPGat/bF46S/DNNQlP
afC4rNkhuGEMXT3czO0rQBP7siHHkYCur2GIBIVqSGRVNlw/1PA02ao70tmVGaBp
TS6WkomHx+Ta840M3RsRNi/c7opgYdNoms/gL1drFLhA5xydWh7P3r0xXk/FmRIi
2tlO2Cfd6r+cLzJo4hAm
=ntzY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Jan 2010 07:42:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:54:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.